<?php



// ini_set('display_errors',1);



require_once ("../../config/Cado.php");

require_once("cMarca.php");

$oMarca = new cMarca();



require_once("../formatos/formato.php");



if($_POST['action_marca']=="insertar")

{

	if(!empty($_POST['txt_mar_nom']))

	{

		$rs=$oMarca->comprobar_si_existe($_POST['txt_mar_nom']);

		$num=mysqli_num_rows($rs);

		if($num>0){

			$idmar=$oMarca->comprobar_si_existe($_POST['txt_mar_nom']);

			$dtx = mysqli_fetch_array($idmar);

			$mar_id=$dtx['tb_marca_id'];

			mysqli_free_result($dtx);

				

			$data['mar_id']=$mar_id;

			$data['mar_msj']='La marca ya existe.';

		}

		else

		{

			$oMarca->insertar($_POST['txt_mar_nom']);		

			$dts=$oMarca->ultimoInsert();

			$dt = mysqli_fetch_array($dts);

			$mar_id=$dt['last_insert_id()'];

			mysqli_free_result($dts);



			$data['mar_id']=$mar_id;

			$data['mar_msj']='Se registró marca correctamente.';

			

		}

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente';

	}

}



if($_POST['action_marca']=="editar")

{

	if(!empty($_POST['txt_mar_nom']))

	{

		$oMarca->modificar($_POST['hdd_mar_id'],$_POST['txt_mar_nom']);

		

		$data['mar_msj']='Se modifico la marca correctamente.';

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente';

	}

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['id']))

	{

			$oMarca->eliminar($_POST['id']);

			echo 'Se eliminó marca correctamente.';

		

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

?>